Zone metrics for Apps endpoints
Use these endpoints to query zone metrics for apps.
All zone metrics
Section titled All zone metricsGET /v1/metrics/zone/{zoneId}
Returns all zone metrics between two dates
Query parameters
projectIdintegerRequired only for an account-level API key. The target project.
startDateISO 8601 date string RequiredBeginning of date range for analysis. Must be a date before
endDate.ISO format in UTC (for example "2021-08-13T12:32:40.000Z") or with a time zone offset ("2021-08-13T12:32:40+02:00" or "2021-08-13T12:32:40%2B+02:00" when encoded in the URL).
endDateISO 8601 date string RequiredEnd of date range for analysis. Must be a date after
startDate.ISO format in UTC (for example "2021-08-13T12:32:40.000Z") or with a time zone offset ("2021-08-13T12:32:40+02:00" or "2021-08-13T12:32:40%2B+02:00" when encoded in the URL).
devicestringDevice filter for analysis.
Possible values:
all(default),desktop,mobile, ortablet.periodstringGranularity of the results. Can only be used on a date range larger than one day. It allows you to have data for each day instead of having a combined result.
Possible values: none (default),
daily.segmentIdsintegerFilter analysis with Contentsquare segments. Default: All visitors. You can specify multiple segments separated by commas to retrieve the metrics for the intersection of the specified segments
Path parameters
zoneIdinteger RequiredThe ID of the Zone.
Example of response
{ "payload": { "values": [ { "startDate": "2021-07-16T00:00:00.000Z", "endDate": "2021-07-22T00:00:00.000Z", "value": 16.953225338691635, "name": "avgTransactionAfterTap", "device": "mobile", "currency": "EUR" }, { "startDate": "2021-07-16T00:00:00.000Z", "endDate": "2021-07-22T00:00:00.000Z", "value": 0.11907269940804448, "name": "dragFlickRate", "device": "mobile", "currency": "EUR" }, { "startDate": "2021-07-16T00:00:00.000Z", "endDate": "2021-07-22T00:00:00.000Z", "value": 1.0633130962705983, "name": "dragFlickRecurrence", "device": "mobile", "currency": "EUR" }, { "startDate": "2021-07-16T00:00:00.000Z", "endDate": "2021-07-22T00:00:00.000Z", "value": 7.6946619277745105, "name": "revenuePerTap", "device": "mobile", "currency": "EUR" }, { "startDate": "2021-07-16T00:00:00.000Z", "endDate": "2021-07-22T00:00:00.000Z", "value": 12.096980737693068, "name": "tapRate", "device": "mobile", "currency": "EUR" }, { "startDate": "2021-07-16T00:00:00.000Z", "endDate": "2021-07-22T00:00:00.000Z", "value": 1.0165105816266422, "name": "tapRecurrence", "device": "mobile", "currency": "EUR" }, { "startDate": "2021-07-16T00:00:00.000Z", "endDate": "2021-07-22T00:00:00.000Z", "value": 4.493400932241734, "name": "timeBeforeFirstTap", "device": "mobile", "currency": "EUR" }, { "startDate": "2021-07-16T00:00:00.000Z", "endDate": "2021-07-22T00:00:00.000Z", "value": 902791.6, "name": "totalRevenueWithTap", "device": "mobile", "currency": "EUR" } ] }, "success": true}Conversion rate per tap
Section titled Conversion rate per tapGET /v1/metrics/zone/{zoneId}/conversion-rate-per-tap
Of users that tapped on the zone, the percentage that also completed the selected goal during the same session.
Query parameters
projectIdintegerRequired only for an account-level API key. The target project.
startDateISO 8601 date string RequiredBeginning of date range for analysis. Must be a date before
endDate.ISO format in UTC (for example "2021-08-13T12:32:40.000Z") or with a time zone offset ("2021-08-13T12:32:40+02:00" or "2021-08-13T12:32:40%2B+02:00" when encoded in the URL).
endDateISO 8601 date string RequiredEnd of date range for analysis. Must be a date after
startDate.ISO format in UTC (for example "2021-08-13T12:32:40.000Z") or with a time zone offset ("2021-08-13T12:32:40+02:00" or "2021-08-13T12:32:40%2B+02:00" when encoded in the URL).
devicestringDevice filter for analysis.
Possible values:
all(default),desktop,mobile, ortablet.periodstringGranularity of the results. Can only be used on a date range larger than one day. It allows you to have data for each day instead of having a combined result.
Possible values: none (default),
daily.segmentIdsintegerFilter analysis with Contentsquare segments. Default: All visitors. You can specify multiple segments separated by commas to retrieve the metrics for the intersection of the specified segments
goalIdintegerTo return conversion metrics for a non-ecommerce goal.
Path parameters
zoneIdinteger RequiredThe ID of the Zone.
Example of response
{ "payload": { "values": [ { "startDate": "2021-07-16T00:00:00.000Z", "endDate": "2021-07-22T00:00:00.000Z", "value": 16.953225338691635, "name": "avgConversionAfterTap", "device": "mobile", "currency": "EUR" } ] }, "success": true}Revenue
Section titled RevenueGET /v1/metrics/zone/{zoneId}/revenue
Total revenue generated by users who clicked on the zone.
Query parameters
projectIdintegerRequired only for an account-level API key. The target project.
startDateISO 8601 date string RequiredBeginning of date range for analysis. Must be a date before
endDate.ISO format in UTC (for example "2021-08-13T12:32:40.000Z") or with a time zone offset ("2021-08-13T12:32:40+02:00" or "2021-08-13T12:32:40%2B+02:00" when encoded in the URL).
endDateISO 8601 date string RequiredEnd of date range for analysis. Must be a date after
startDate.ISO format in UTC (for example "2021-08-13T12:32:40.000Z") or with a time zone offset ("2021-08-13T12:32:40+02:00" or "2021-08-13T12:32:40%2B+02:00" when encoded in the URL).
devicestringDevice filter for analysis.
Possible values:
all(default),desktop,mobile, ortablet.periodstringGranularity of the results. Can only be used on a date range larger than one day. It allows you to have data for each day instead of having a combined result.
Possible values: none (default),
daily.segmentIdsintegerFilter analysis with Contentsquare segments. Default: All visitors. You can specify multiple segments separated by commas to retrieve the metrics for the intersection of the specified segments
Path parameters
zoneIdinteger RequiredThe ID of the Zone.
Example of response
{ "payload": { "values": [ { "startDate": "2021-07-16T00:00:00.000Z", "endDate": "2021-07-22T00:00:00.000Z", "value": 900157.6, "name": "totalRevenueWithTap", "device": "mobile", "currency": "EUR" } ] }, "success": true}Revenue per tap
Section titled Revenue per tapGET /v1/metrics/zone/{zoneId}/revenue-per-tap
Average revenue per tap generated by users after they tapped on an element.
Query parameters
projectIdintegerRequired only for an account-level API key. The target project.
startDateISO 8601 date string RequiredBeginning of date range for analysis. Must be a date before
endDate.ISO format in UTC (for example "2021-08-13T12:32:40.000Z") or with a time zone offset ("2021-08-13T12:32:40+02:00" or "2021-08-13T12:32:40%2B+02:00" when encoded in the URL).
endDateISO 8601 date string RequiredEnd of date range for analysis. Must be a date after
startDate.ISO format in UTC (for example "2021-08-13T12:32:40.000Z") or with a time zone offset ("2021-08-13T12:32:40+02:00" or "2021-08-13T12:32:40%2B+02:00" when encoded in the URL).
devicestringDevice filter for analysis.
Possible values:
all(default),desktop,mobile, ortablet.periodstringGranularity of the results. Can only be used on a date range larger than one day. It allows you to have data for each day instead of having a combined result.
Possible values: none (default),
daily.segmentIdsintegerFilter analysis with Contentsquare segments. Default: All visitors. You can specify multiple segments separated by commas to retrieve the metrics for the intersection of the specified segments
Path parameters
zoneIdinteger RequiredThe ID of the Zone.
Example of response
{ "payload": { "values": [ { "startDate": "2021-07-16T00:00:00.000Z", "endDate": "2021-07-22T00:00:00.000Z", "value": 7.684434465625721, "name": "revenuePerTap", "device": "mobile", "currency": "EUR" } ] }, "success": true}Swipe rate
Section titled Swipe rateGET /v1/metrics/zone/{zoneId}/swipe-rate
Percentage of users performing at least one swipe on a zone during a screen display.
Query parameters
projectIdintegerRequired only for an account-level API key. The target project.
startDateISO 8601 date string RequiredBeginning of date range for analysis. Must be a date before
endDate.ISO format in UTC (for example "2021-08-13T12:32:40.000Z") or with a time zone offset ("2021-08-13T12:32:40+02:00" or "2021-08-13T12:32:40%2B+02:00" when encoded in the URL).
endDateISO 8601 date string RequiredEnd of date range for analysis. Must be a date after
startDate.ISO format in UTC (for example "2021-08-13T12:32:40.000Z") or with a time zone offset ("2021-08-13T12:32:40+02:00" or "2021-08-13T12:32:40%2B+02:00" when encoded in the URL).
devicestringDevice filter for analysis.
Possible values:
all(default),desktop,mobile, ortablet.periodstringGranularity of the results. Can only be used on a date range larger than one day. It allows you to have data for each day instead of having a combined result.
Possible values: none (default),
daily.segmentIdsintegerFilter analysis with Contentsquare segments. Default: All visitors. You can specify multiple segments separated by commas to retrieve the metrics for the intersection of the specified segments
Path parameters
zoneIdinteger RequiredThe ID of the Zone.
Example of response
{ "payload": { "values": [ { "startDate": "2021-07-16T00:00:00.000Z", "endDate": "2021-07-22T00:00:00.000Z", "value": 0.6463799007761929, "name": "dragFlickRate", "device": "mobile", "currency": "EUR" } ] }, "success": true}Swipe recurrence
Section titled Swipe recurrenceGET /v1/metrics/zone/{zoneId}/swipe-recurrence
Average number of times an element was swiped when engaged with during a screenview.
Query parameters
projectIdintegerRequired only for an account-level API key. The target project.
startDateISO 8601 date string RequiredBeginning of date range for analysis. Must be a date before
endDate.ISO format in UTC (for example "2021-08-13T12:32:40.000Z") or with a time zone offset ("2021-08-13T12:32:40+02:00" or "2021-08-13T12:32:40%2B+02:00" when encoded in the URL).
endDateISO 8601 date string RequiredEnd of date range for analysis. Must be a date after
startDate.ISO format in UTC (for example "2021-08-13T12:32:40.000Z") or with a time zone offset ("2021-08-13T12:32:40+02:00" or "2021-08-13T12:32:40%2B+02:00" when encoded in the URL).
devicestringDevice filter for analysis.
Possible values:
all(default),desktop,mobile, ortablet.periodstringGranularity of the results. Can only be used on a date range larger than one day. It allows you to have data for each day instead of having a combined result.
Possible values: none (default),
daily.segmentIdsintegerFilter analysis with Contentsquare segments. Default: All visitors. You can specify multiple segments separated by commas to retrieve the metrics for the intersection of the specified segments
Path parameters
zoneIdinteger RequiredThe ID of the Zone.
Example of response
{ "payload": { "values": [ { "startDate": "2021-07-16T00:00:00.000Z", "endDate": "2021-07-22T00:00:00.000Z", "value": 1.0633130962705983, "name": "dragFlickRecurrence", "device": "mobile", "currency": "EUR" } ] }, "success": true}Tap rate
Section titled Tap rateGET /v1/metrics/zone/{zoneId}/tap-rate
Percentage of users that tapped on the zone at least once.
Query parameters
projectIdintegerRequired only for an account-level API key. The target project.
startDateISO 8601 date string RequiredBeginning of date range for analysis. Must be a date before
endDate.ISO format in UTC (for example "2021-08-13T12:32:40.000Z") or with a time zone offset ("2021-08-13T12:32:40+02:00" or "2021-08-13T12:32:40%2B+02:00" when encoded in the URL).
endDateISO 8601 date string RequiredEnd of date range for analysis. Must be a date after
startDate.ISO format in UTC (for example "2021-08-13T12:32:40.000Z") or with a time zone offset ("2021-08-13T12:32:40+02:00" or "2021-08-13T12:32:40%2B+02:00" when encoded in the URL).
devicestringDevice filter for analysis.
Possible values:
all(default),desktop,mobile, ortablet.periodstringGranularity of the results. Can only be used on a date range larger than one day. It allows you to have data for each day instead of having a combined result.
Possible values: none (default),
daily.segmentIdsintegerFilter analysis with Contentsquare segments. Default: All visitors. You can specify multiple segments separated by commas to retrieve the metrics for the intersection of the specified segments
Path parameters
zoneIdinteger RequiredThe ID of the Zone.
Example of response
{ "payload": { "values": [ { "startDate": "2021-07-16T00:00:00.000Z", "endDate": "2021-07-22T00:00:00.000Z", "value": 12.096980737693068, "name": "tapRate", "device": "mobile", "currency": "EUR" } ] }, "success": true}Tap recurrence
Section titled Tap recurrenceGET /v1/metrics/zone/{zoneId}/tap-recurrence
Average number of times an element was tapped when engaged with during a screenview.
Query parameters
projectIdintegerRequired only for an account-level API key. The target project.
startDateISO 8601 date string RequiredBeginning of date range for analysis. Must be a date before
endDate.ISO format in UTC (for example "2021-08-13T12:32:40.000Z") or with a time zone offset ("2021-08-13T12:32:40+02:00" or "2021-08-13T12:32:40%2B+02:00" when encoded in the URL).
endDateISO 8601 date string RequiredEnd of date range for analysis. Must be a date after
startDate.ISO format in UTC (for example "2021-08-13T12:32:40.000Z") or with a time zone offset ("2021-08-13T12:32:40+02:00" or "2021-08-13T12:32:40%2B+02:00" when encoded in the URL).
devicestringDevice filter for analysis.
Possible values:
all(default),desktop,mobile, ortablet.periodstringGranularity of the results. Can only be used on a date range larger than one day. It allows you to have data for each day instead of having a combined result.
Possible values: none (default),
daily.segmentIdsintegerFilter analysis with Contentsquare segments. Default: All visitors. You can specify multiple segments separated by commas to retrieve the metrics for the intersection of the specified segments
Path parameters
zoneIdinteger RequiredThe ID of the Zone.
Example of response
{ "payload": { "values": [ { "startDate": "2021-07-16T00:00:00.000Z", "endDate": "2021-07-22T00:00:00.000Z", "value": 1.0165105816266422, "name": "tapRecurrence", "device": "mobile", "currency": "EUR" } ] }, "success": true}Time before first tap
Section titled Time before first tapGET /v1/metrics/zone/{zoneId}/time-before-first-tap
Number of seconds between screen load and first tap on an element.
Query parameters
projectIdintegerRequired only for an account-level API key. The target project.
startDateISO 8601 date string RequiredBeginning of date range for analysis. Must be a date before
endDate.ISO format in UTC (for example "2021-08-13T12:32:40.000Z") or with a time zone offset ("2021-08-13T12:32:40+02:00" or "2021-08-13T12:32:40%2B+02:00" when encoded in the URL).
endDateISO 8601 date string RequiredEnd of date range for analysis. Must be a date after
startDate.ISO format in UTC (for example "2021-08-13T12:32:40.000Z") or with a time zone offset ("2021-08-13T12:32:40+02:00" or "2021-08-13T12:32:40%2B+02:00" when encoded in the URL).
devicestringDevice filter for analysis.
Possible values:
all(default),desktop,mobile, ortablet.periodstringGranularity of the results. Can only be used on a date range larger than one day. It allows you to have data for each day instead of having a combined result.
Possible values: none (default),
daily.segmentIdsintegerFilter analysis with Contentsquare segments. Default: All visitors. You can specify multiple segments separated by commas to retrieve the metrics for the intersection of the specified segments
Path parameters
zoneIdinteger RequiredThe ID of the Zone.
Example of response
{ "payload": { "values": [ { "startDate": "2021-07-16T00:00:00.000Z", "endDate": "2021-07-22T00:00:00.000Z", "value": 4.493400932241734, "name": "timeBeforeFirstTap", "device": "mobile", "currency": "EUR" } ] }, "success": true}